package com.pennapps.stopwatch;

/*
	Copyright (C) Philip Peng
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

import android.os.Handler;
import android.os.Message;

public class RefreshHandler extends Handler {
	private long delay = 1L; // in milliseconds
	private void sleep() {
		this.removeMessages(0);
		this.sendMessageDelayed(obtainMessage(0), delay);
	}
	public void handleMessage(Message msg) {
		this.update();
		this.sleep();
	}
	public void start() {
		this.start(this.delay);
	}
	public void start(long delay) {
		this.delay = delay;
		this.sleep();
	}
	public void stop() {
		this.removeCallbacksAndMessages(null);
	}
	
	public void update() {
		// override this method with what you want
	}
}
