package com.pennapps.stopwatch;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class Stopwatch extends Activity {
	
	private FormattedTime timer;
	private TextView tv;
	
	private RefreshTime refresh;
	class RefreshTime extends RefreshHandler {
		public void update() {
			tv.setText("Time is: " + timer.update());
		}
	};
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		tv = (TextView) findViewById(R.id.time);
		
		timer = new FormattedTime();
		timer.start();
		refresh = new RefreshTime();
		refresh.start();
	}
	
	public void start(View view) { timer.start(); }
	public void stop(View view) { timer.stop(); }
	public void reset(View view) { timer.reset(); }
	
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		switch (keyCode) {
			case KeyEvent.KEYCODE_MENU:
				AlertDialog.Builder builder = new AlertDialog.Builder(this);
				builder.setMessage("Do you want to exit this ugly StopWatch?")
					.setCancelable(false)
					.setPositiveButton("Yes", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							Toast.makeText(
									Stopwatch.this, "Goodbye!", Toast.LENGTH_SHORT).show();
							Stopwatch.this.finish();
						}
					})
					.setNegativeButton("No", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							dialog.cancel();
						}
					});
				AlertDialog alert = builder.create();
				alert.show();
				return true;
			default:
				return super.onKeyDown(keyCode, event);
		}
	}
}